package com.xhpc.common.data.up;

//充电桩与 BMS 充电过程 BMS 需求、充电机输出
public class BmsReqChargerOutputData extends BaseData {

    private String orderNo; //交易流水号
    private String pileNo; //桩号
    private String gunId; //枪号
    private String bmsVoltageRequest; //BMS 电压需求
    private String bmsCurrentRequest; //BMS 电流需求
    private String bmsChargingMod; //BMS 充电模式
    private String bmsChargingVolt; //BMS 充电电压测量值
    private String bmsChargingCurrent; //BMS 充电电流测量值
    private String monoBatteryVoltGroupId; //BMS 最高单体动力蓄电池电压及组号
    private String soc; //BMS 当前荷电状态 SOC（ %）
    private String bmsEstRemainingTime; //BMS 估算剩余充电时间
    private String pileVoltageOutput; //电桩电压输出值
    private String pileCurrentOutput; //电桩电流输出值
    private String chargingTimeSummary; //累计充电时间

    public String getOrderNo() {

        return orderNo;
    }

    public void setOrderNo(String orderNo) {

        this.orderNo = orderNo;
    }

    public String getPileNo() {

        return pileNo;
    }

    public void setPileNo(String pileNo) {

        this.pileNo = pileNo;
    }

    public String getGunId() {

        return gunId;
    }

    public void setGunId(String gunId) {

        this.gunId = gunId;
    }

    public String getBmsVoltageRequest() {

        return bmsVoltageRequest;
    }

    public void setBmsVoltageRequest(String bmsVoltageRequest) {

        this.bmsVoltageRequest = bmsVoltageRequest;
    }

    public String getBmsCurrentRequest() {

        return bmsCurrentRequest;
    }

    public void setBmsCurrentRequest(String bmsCurrentRequest) {

        this.bmsCurrentRequest = bmsCurrentRequest;
    }

    public String getBmsChargingMod() {

        return bmsChargingMod;
    }

    public void setBmsChargingMod(String bmsChargingMod) {

        this.bmsChargingMod = bmsChargingMod;
    }

    public String getBmsChargingVolt() {

        return bmsChargingVolt;
    }

    public void setBmsChargingVolt(String bmsChargingVolt) {

        this.bmsChargingVolt = bmsChargingVolt;
    }

    public String getBmsChargingCurrent() {

        return bmsChargingCurrent;
    }

    public void setBmsChargingCurrent(String bmsChargingCurrent) {

        this.bmsChargingCurrent = bmsChargingCurrent;
    }

    public String getMonoBatteryVoltGroupId() {

        return monoBatteryVoltGroupId;
    }

    public void setMonoBatteryVoltGroupId(String monoBatteryVoltGroupId) {

        this.monoBatteryVoltGroupId = monoBatteryVoltGroupId;
    }

    public String getSoc() {

        return soc;
    }

    public void setSoc(String soc) {

        this.soc = soc;
    }

    public String getBmsEstRemainingTime() {

        return bmsEstRemainingTime;
    }

    public void setBmsEstRemainingTime(String bmsEstRemainingTime) {

        this.bmsEstRemainingTime = bmsEstRemainingTime;
    }

    public String getPileVoltageOutput() {

        return pileVoltageOutput;
    }

    public void setPileVoltageOutput(String pileVoltageOutput) {

        this.pileVoltageOutput = pileVoltageOutput;
    }

    public String getPileCurrentOutput() {

        return pileCurrentOutput;
    }

    public void setPileCurrentOutput(String pileCurrentOutput) {

        this.pileCurrentOutput = pileCurrentOutput;
    }

    public String getChargingTimeSummary() {

        return chargingTimeSummary;
    }

    public void setChargingTimeSummary(String chargingTimeSummary) {

        this.chargingTimeSummary = chargingTimeSummary;
    }

}
